import type { OutputLanguage } from './languages';
type QueryExportMode = 'Query' | 'Delete Query' | 'Update Query';
type PipelineExportMode = 'Pipeline';
export type ExportMode = PipelineExportMode | QueryExportMode;
export type AggregationExpression = {
    exportMode: 'Pipeline';
    aggregation: string;
};
export type QueryExpression = {
    exportMode: 'Query' | 'Delete Query' | 'Update Query';
    filter: string;
    project?: string;
    sort?: string;
    collation?: string;
    skip?: string;
    limit?: string;
    maxTimeMS?: string;
};
export declare function isValidExportMode(val: any): val is ExportMode;
export type InputExpression = AggregationExpression | QueryExpression;
export declare function isQueryExpression(inputExpression: InputExpression): inputExpression is QueryExpression;
type RunTranspilerOptions = {
    inputExpression: InputExpression;
    outputLanguage: OutputLanguage;
    includeImports: boolean;
    includeDrivers: boolean;
    useBuilders: boolean;
    uri: string;
    namespace: string;
    protectConnectionStrings: boolean;
};
export declare function runTranspiler({ inputExpression, outputLanguage, includeImports, includeDrivers, useBuilders, uri, namespace, protectConnectionStrings, }: RunTranspilerOptions): string;
export {};
//# sourceMappingURL=transpiler.d.ts.map