import { type Reducer } from 'redux';
import type { InputExpression } from '../modules/transpiler';
import type { CollectionTabPluginMetadata } from '@mongodb-js/compass-collection';
import type { DataService } from 'mongodb-data-service';
import type { ActivateHelpers } from 'hadron-app-registry';
import type AppRegistry from 'hadron-app-registry';
type ExportToLanguageState = {
    inputExpression: InputExpression;
    modalOpen: boolean;
    uri: string;
    namespace: string;
};
export declare function openModal(inputExpression: InputExpression): {
    type: string;
    inputExpression: InputExpression;
};
export declare function closeModal(): {
    type: string;
};
declare const reducer: Reducer<ExportToLanguageState>;
export type ExportToLanguageOptions = Pick<CollectionTabPluginMetadata, 'namespace'>;
export type ExportToLanguageServices = {
    localAppRegistry: AppRegistry;
    dataService: Pick<DataService, 'getConnectionString'>;
};
export declare function activatePlugin({ namespace }: ExportToLanguageOptions, { localAppRegistry, dataService }: ExportToLanguageServices, { on, cleanup }: ActivateHelpers): {
    store: import("redux").Store<ExportToLanguageState, import("redux").AnyAction>;
    deactivate: () => void;
};
export default reducer;
//# sourceMappingURL=index.d.ts.map